> ## Documentation Index
> Fetch the complete documentation index at: https://tradewatch.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Last Quote

> Get the last quote tick for the provided symbol.



## OpenAPI

````yaml /openapi.json get /indices/quote
openapi: 3.1.0
info:
  title: tradewatch.io
  version: 3.1.0
  description: Financial market data for Developers
servers:
  - url: https://api.tradewatch.io
    description: Production API server
security:
  - API Key: []
tags:
  - name: Account
    description: >-
      In this section, you can find methods that can be helpful to manage your
      API account.
    x-displayName: Account
  - name: Currencies
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for traditional currencies (Forex).
    x-displayName: Currencies
  - name: Crypto
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for cryptocurrencies.
    x-displayName: Crypto
  - name: Indices
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for market indices.
    x-displayName: Indices
  - name: Stocks
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for stocks and equities.
    x-displayName: Stocks
  - name: Fundamentals
    description: Financial statements and company data sourced from SEC EDGAR filings.
  - name: Markets
    description: Stock exchange and market session information.
  - name: Commodities
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for commodities.
    x-displayName: Commodities
paths:
  /indices/quote:
    get:
      tags:
        - Indices
      summary: Last Quote
      description: Get the last quote tick for the provided symbol.
      operationId: indices_get_quote
      parameters:
        - name: symbol
          in: query
          required: true
          schema:
            type: string
            title: Symbol
            description: The symbol to get the quote for.
          description: The symbol to get the quote for.
        - name: precision
          in: query
          required: false
          schema:
            type: integer
            title: Precision
            description: The decimal precision of the result.
            default: 5
          description: The decimal precision of the result.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LastQuote'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    LastQuote:
      properties:
        symbol:
          type: string
          title: 'One of the available symbols (see: /symbols).'
          description: Symbol name
        ask:
          type: number
          exclusiveMinimum: 0
          title: Value of a tick.
          description: The ask price.
          example: 1.23456
        bid:
          type: number
          exclusiveMinimum: 0
          title: Value of a tick.
          description: The bid price.
          example: 1.23456
        mid:
          type: number
          exclusiveMinimum: 0
          title: Value of a tick.
          description: The mid price.
          example: 1.23456
        timestamp:
          type: integer
          exclusiveMinimum: 0
          title: Timestamp of a tick.
          example: 1704882030
      type: object
      required:
        - symbol
        - ask
        - bid
        - mid
        - timestamp
      title: LastQuote
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    API Key:
      description: Authentication via API key header
      type: apiKey
      name: api-key
      in: header

````